
import java.util.Optional;
import java.util.stream.*;

public class  OptionChain
{

    private Optional<String> getEmpty() {
        return Optional.empty();
    }

    public Optional<String> getCheck() {
        return Optional.of("check");
    }

    private Optional<String> getExit() {
        return Optional.of("exit");
    }

    private Optional<String> createOptional(String value) {
        if (value == null || value == "" || value == "empty") {
            return Optional.empty();
        }
        return Optional.of(value);
    }
    
    public void getChain() {
      Optional<String> found = Stream.of(getEmpty(), getCheck(), getExit())
      .filter(Optional::isPresent)
      .map(Optional::get)
      .findFirst();
     
    
   }
    
    public static void main(String[] args)
    {
    
        OptionChain chain = new OptionChain();
        
        chain.getChain();
        
        Optional<String> opt = chain.getCheck();
        
        System.out.println(opt.toString());
        
        
        
    }
    
}