import java.util.Optional;
public class PhotoTesterOption {
	
	public static void main(String[] args) {

		ImageSize size = new ImageSize(750,1334);
		ImageFeatures features = new ImageFeatures("8.7", Optional.of(size));
		Photo photo = new Photo(31591, "Google", "pixel", Optional.of(features));
		
		PhotoService photoService = new PhotoService();
		
		int width = photoService.getPhotoScreenWidth(Optional.of(photo));
		System.out.println(" Width = " + width);
		
		
	}

}