import java.util.Optional;
public class Photo {

	private long id;
	private String company;
	private String name;
	private Optional<ImageFeatures> features;
	
	public Photo(long id, String company, String name, 
                            Optional<ImageFeatures> features){
		this.id = id;
		this.company = company;
		this.name = name;
		this.features = features;
	}

	public long getId() {
		return id;
	}

	public String getCompany() {
		return company;
	}

	public String getName() {
		return name;
	}

	public Optional<ImageFeatures> getFeatures() {
		return features;
	}
	
}
